nxt

## Interface Transaction.Builder

- Enclosing interface:
    Transaction

      public static interface Transaction.Builder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Transaction.Builder` | `appendix(Appendix.EncryptedMessage encryptedMessage)`
    `Transaction.Builder` | `appendix(Appendix.EncryptToSelfMessage encryptToSelfMessage)`
    `Transaction.Builder` | `appendix(Appendix.Message message)`
    `Transaction.Builder` | `appendix(Appendix.Phasing phasing)`
    `Transaction.Builder` | `appendix(Appendix.PrunableEncryptedMessage prunableEncryptedMessage)`
    `Transaction.Builder` | `appendix(Appendix.PrunablePlainMessage prunablePlainMessage)`
    `Transaction.Builder` | `appendix(Appendix.PublicKeyAnnouncement publicKeyAnnouncement)`
    `Transaction` | `build()`
    `Transaction` | `build(java.lang.String secretPhrase)`
    `Transaction.Builder` | `ecBlockHeight(int height)`
    `Transaction.Builder` | `ecBlockId(long blockId)`
    `Transaction.Builder` | `recipientId(long recipientId)`
    `Transaction.Builder` | `referencedTransactionFullHash(java.lang.String referencedTransactionFullHash)`
    `Transaction.Builder` | `timestamp(int timestamp)`

- - ### Method Detail

    - #### recipientId

          Transaction.Builder recipientId(long recipientId)

    - #### referencedTransactionFullHash

          Transaction.Builder referencedTransactionFullHash(java.lang.String referencedTransactionFullHash)

    - #### appendix

          Transaction.Builder appendix(Appendix.Message message)

    - #### appendix

          Transaction.Builder appendix(Appendix.EncryptedMessage encryptedMessage)

    - #### appendix

          Transaction.Builder appendix(Appendix.EncryptToSelfMessage encryptToSelfMessage)

    - #### appendix

          Transaction.Builder appendix(Appendix.PublicKeyAnnouncement publicKeyAnnouncement)

    - #### appendix

          Transaction.Builder appendix(Appendix.PrunablePlainMessage prunablePlainMessage)

    - #### appendix

          Transaction.Builder appendix(Appendix.PrunableEncryptedMessage prunableEncryptedMessage)

    - #### appendix

          Transaction.Builder appendix(Appendix.Phasing phasing)

    - #### timestamp

          Transaction.Builder timestamp(int timestamp)

    - #### ecBlockHeight

          Transaction.Builder ecBlockHeight(int height)

    - #### ecBlockId

          Transaction.Builder ecBlockId(long blockId)

    - #### build

          Transaction build()
                     throws NxtException.NotValidException

      Throws:
        `NxtException.NotValidException`

    - #### build

          Transaction build(java.lang.String secretPhrase)
                     throws NxtException.NotValidException

      Throws:
        `NxtException.NotValidException`